Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rs
Interface ApproveObjectsRequestType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  ApproveObjectsRequestTypeImpl

    public interface ApproveObjectsRequestType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Approve Objects Request Type'.

The following features are supported:

- `Object Ref List`

See Also:
  `RegistryPackage.getApproveObjectsRequestType()`

Method Summary
`ObjectRefListType` | `getObjectRefList()` Returns the value of the 'Object Ref List' containment reference.
`void` | `setObjectRefList(ObjectRefListType value)` Sets the value of the '`Object Ref List`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getObjectRefList

    ObjectRefListType getObjectRefList()

  Returns the value of the 'Object Ref List' containment reference.

  If the meaning of the 'Object Ref List' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Object Ref List' containment reference.
  See Also:
    `setObjectRefList(ObjectRefListType)`, `RegistryPackage.getApproveObjectsRequestType_ObjectRefList()`

### setObjectRefList

    void setObjectRefList(ObjectRefListType value)

  Sets the value of the '`Object Ref List`' containment reference.

  Parameters:
    `value` - the new value of the 'Object Ref List' containment reference.
  See Also:
    `getObjectRefList()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD